WebM VP8 Codec SDK

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
vp8_decrypt_init Struct Reference
WebM VP8 Decoder

Structure to hold decryption state. More...

`#include <vp8dx.h>`

## Data Fields
void(* | decrypt_cb )(void *decrypt_state, const unsigned char *input, unsigned char *output, int count)
void * | decrypt_state

## Detailed Description

Structure to hold decryption state.

Defines a structure to hold the decryption state and access function.

## Field Documentation

void(* vp8_decrypt_init::decrypt_cb)(void *decrypt_state, const unsigned char *input, unsigned char *output, int count)

Decrypt n bytes of data from input -> output, using the decrypt_state passed in VP8D_SET_DECRYPTOR.

void* vp8_decrypt_init::decrypt_state

Decryption state.

The documentation for this struct was generated from the following file:

- vpx/vp8dx.h